Summary: Translates an RPM database and dependency information into HTML.
Name: rpm2html 
%define version 1.2
Version: %{version}
Release: 1
Group: Applications/System
Source: ftp://rufus.w3.org/pub/rpm2html/rpm2html-%{version}.tar.gz
URL: http://rufus.w3.org/linux/rpm2html/
Copyright: W3C Copyright (BSD like).
Provides: rpm2html
BuildRoot: /var/tmp/%{name}-root

%description
The rpm2html utility automatically generates web pages that describe a
set of RPM packages.  The goals of rpm2html are to identify the
dependencies between various packages, and to find the package(s) that
will provide the resources needed to install a given package.  Rpm2html
analyzes the provides and requires of the given set of RPMs, and then
shows the dependency cross-references using hypertext links.  Rpm2html
can now dump the metadata associated with RPM files into standard RDF
files.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/share/rpm2html
install -d $RPM_BUILD_ROOT/usr/man/man1
install -d $RPM_BUILD_ROOT/usr/doc

install -s rpm2html $RPM_BUILD_ROOT/usr/bin

for ll in fr es de pl cz
do
  install msg.$ll $RPM_BUILD_ROOT/usr/share/rpm2html/msg.$ll
done

install rpm2html.config  $RPM_BUILD_ROOT/etc
install rpm2html.1  $RPM_BUILD_ROOT/usr/man/man1/rpm2html.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES BUGS Copyright PRINCIPLES README TODO 
%doc rpm2html-cdrom.config rpm2html-en.config
%doc rpm2html.config.mirrors rpm2html-fr.config
%doc rpm2html.config.resources rpm2html-rdf.config
%dir /usr/bin
/usr/bin/rpm2html
/usr/share/rpm2html/msg.*
%config /etc/rpm2html.config
%doc /usr/man/man1/rpm2html.1

%changelog
* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2.

* Fri Apr  2 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0.
